uk.ac.starlink.fits

## Class BintableColumnHeader

- java.lang.Object
- - uk.ac.starlink.fits.BintableColumnHeader

-     public abstract class BintableColumnHeader
      extends java.lang.Object

  Understands how per-column metadata is stored in the headers of a FITS BINTABLE extension.
  Since:
    21 Mar 2017

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BintableColumnHeader(CardFactory cardFactory)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BintableColumnHeader` | `createStandardHeader(int jcol)` Returns an instance of this class for use with standard FITS BINTABLE headers.
    `CardFactory` | `getCardFactory()` Returns the card factory to use when constructing header cards associated with this header.
    `abstract java.lang.String` | `getKeyName(java.lang.String stdName)` Gives the name of the actual FITS header card for the column managed by this object and a standard FITS BINTABLE base header name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BintableColumnHeader

          protected BintableColumnHeader(CardFactory cardFactory)

      Constructor.
      Parameters:
        `cardFactory` - object which should be used to construct header cards associated with this header

  - ### Method Detail

    - #### getCardFactory

          public CardFactory getCardFactory()

      Returns the card factory to use when constructing header cards associated with this header.
      Returns:
        header card factory

    - #### getKeyName

          public abstract java.lang.String getKeyName(java.lang.String stdName)

      Gives the name of the actual FITS header card for the column managed by this object and a standard FITS BINTABLE base header name.
      Parameters:
        `stdName` - standard base name for the metadata item (for instance "TFORM" for TFORMnnn)
      Returns:
        complete FITS header card key name

    - #### createStandardHeader

          public static BintableColumnHeader createStandardHeader(int jcol)

      Returns an instance of this class for use with standard FITS BINTABLE headers.
      Parameters:
        `jcol` - column index (first column has value 1)
      Returns:
        new instance